Package org.eclipse.rdf4j.query.algebra.evaluation.limited.iterator

## Class LimitedSizePathIterator

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.PathIteration
      - - org.eclipse.rdf4j.query.algebra.evaluation.limited.iterator.LimitedSizePathIterator

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      public class LimitedSizePathIterator
      extends PathIteration

  Author:
    Jerven Bolleman, SIB Swiss Institute of Bioinformatics

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.algebra.evaluation.iterator.PathIteration

      `PathIteration.ValuePair`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LimitedSizePathIterator​(StrictEvaluationStrategy evaluationStrategyImpl, StatementPattern.Scope scope, Var startVar, TupleExpr pathExpression, Var endVar, Var contextVar, long minLength, BindingSet bindings, AtomicLong used, long maxSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `add​(Set<PathIteration.ValuePair> valueSet, PathIteration.ValuePair vp)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.iterator.PathIteration

      `addToQueue, createAnonVar, getNextElement, handleClose, isUnbound, makeQueue, makeSet`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### LimitedSizePathIterator

          public LimitedSizePathIterator​(StrictEvaluationStrategy evaluationStrategyImpl,
                                         StatementPattern.Scope scope,
                                         Var startVar,
                                         TupleExpr pathExpression,
                                         Var endVar,
                                         Var contextVar,
                                         long minLength,
                                         BindingSet bindings,
                                         AtomicLong used,
                                         long maxSize)
                                  throws QueryEvaluationException

      Parameters:
        `evaluationStrategyImpl` -
        `scope` -
        `startVar` -
        `pathExpression` -
        `endVar` -
        `contextVar` -
        `minLength` -
        `bindings` -
      Throws:
        `QueryEvaluationException`

  - ### Method Detail

    - #### add

          protected boolean add​(Set<PathIteration.ValuePair> valueSet,
                                PathIteration.ValuePair vp)
                         throws QueryEvaluationException

      Overrides:
        `add` in class `PathIteration`
      Throws:
        `QueryEvaluationException`